package com.tmerclub.cloud.common.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotNull;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author lanhai
 */
public class DvyTypeDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @NotNull(message = "店铺id不能为空")
    private Long shopId;

    @Schema(description = "用户选择的自提点id - 自提参数")
    private Long stationId;

    @Schema(description = "纬度 - 自提参数")
    private Double lat;

    @Schema(description = "经度 - 自提参数")
    private Double lng;
    @NotNull(message = "配送方式不能为空")
    @Schema(description = "配送类型 1:快递 2:自提 3：无需快递 4:同城配送")
    private Integer dvyType;

    public DvyTypeDTO() {
    }

    public DvyTypeDTO(Long shopId, Integer dvyType) {
        this.shopId = shopId;
        this.dvyType = dvyType;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Integer getDvyType() {
        return dvyType;
    }

    public void setDvyType(Integer dvyType) {
        this.dvyType = dvyType;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    @Override
    public String toString() {
        return "DvyTypeDTO{" +
                "shopId=" + shopId +
                ", stationId=" + stationId +
                ", lat=" + lat +
                ", lng=" + lng +
                ", dvyType=" + dvyType +
                '}';
    }
}
